Subject: Re: [PATCH 0/3] ci: don't compile whole project when testing docs with Meson

From: Junio C Hamano <[email-masked]>
Date: Mon, 15 Sep 2025 16:13:00 -0700

Patrick Steinhardt <[email-masked]> writes:

>> I wonder if we want to let people say "meson compile doc" to match
>> the other world?
>> 
>> Will queue.  Thanks.
>
> The reason why I picked 'docs' is that the accompanying user-facing
> option is also named the same way. It's thus a bit more consistent with
> itself to call the target 'docs' as well.

Sorry, but I am not sure what user-facing "docs" option you are
referring to; is this some earlier mistake we made that is way too
entrenched to fix?  I do know about the "make docs" that barfs with
"*** No rule to make target 'docs'.  Stop.", and I would call it
user-facing.  I would say it is a bit too old to "correct" without
disrupting existing users.

Thanks.